'
' DELETE.BAS
'
' Edit EMAIL.INC before compiling.
' Compile & link: PBCC DELETE.BAS
'

$INCLUDE "SEE32.BAS"

GLOBAL ArgVal() As String
$INCLUDE "GETARGS.BAS"

Sub ShowError(Code As Long)
Dim N As Long
Dim Buffer As Asciiz * 128
N = seeErrorText(Code,Buffer,128)
PRINT Buffer 
End Sub

FUNCTION PbMain() AS LONG
$INCLUDE "EMAIL.INC"
Dim N As Integer
Dim NbrMsg As Long
Dim MsgNbr As Long
Dim Code As Long
Dim ArgVal(10) As String
Dim NullString As Asciiz * 2
Dim Version As Integer
Dim DiagFile As Asciiz * 64
Dim A As String
Dim B As String
Dim C As String

Dim Quote As String

PRINT "DELETE 9/28/98"

' display SEE version
Version = seeStatistics(%SEE_GET_VERSION)
C = Hex$(&HF And Version)
Version = Version / 16
B = Hex$(&HF And Version)
Version = Version / 16
A = Hex$(&HF And Version)
PRINT "SEE Version " + A + "." + B + "." + C

NullString = Chr$(0)
Quote = Chr$(&H22)

' get args
N = GetArgs()

IF N <> 1 THEN
  PRINT "Usage: DELETE message_nbr"
  PRINT "   eg: DELETE 1 " 
  Exit Function
END IF  

' gets ASCIIZ version of argument strings
MsgNbr = VAL(ArgVal(1))

' define diagnostics log file 
DiagFile = "DELETE.LOG"
Code = seeStringParam(%SEE_LOG_FILE, DiagFile) 

' connect to the POP3 server 
PRINT "Connecting to ";POP3_HOST_NAME
Code = seePop3Connect(POP3_HOST_NAME, POP3_USER_NAME, POP3_PASSWORD)  
IF Code < 0 THEN
  Call ShowError(Code)
  EXIT Function
END IF 

' get # messages waiting  
PRINT "Getting message status..."
NbrMsg = seeGetEmailCount()                  
IF NbrMsg < 0 THEN 
  Call ShowError(NbrMsg)
  EXIT Function
END IF  
PRINT NbrMsg;" messages waiting."
' any email on the server ?
If NbrMsg = 0 Then
  PRINT "You no email waiting on the server."
  Exit Function
End If
' does the server have this message # ?
If (MsgNbr=0) OR (MsgNbr>NbrMsg) Then
  PRINT "There is no message # ";MsgNbr
  Exit Function
End If  
' delete the email
PRINT "deleting message # ";MsgNbr
Code = seeDeleteEmail(MsgNbr)
Code = seeClose()
END FUNCTION
