'
' MAILER.BAS
'
' Edit EMAIL.INC before compiling.
' Compile & link: PBCC MAILER.BAS
'

$INCLUDE "SEE32.BAS"

GLOBAL ArgVal() As String
$INCLUDE "GETARGS.BAS"

Sub ShowError(Code As Long)
Dim N As Long
Dim Buffer As Asciiz * 128
N = seeErrorText(Code,Buffer,128)
PRINT Buffer 
End Sub

FUNCTION PbMain() AS LONG
$INCLUDE "EMAIL.INC"
Dim N As Integer
Dim Code As Long
Dim ArgVal(10) As String
Dim NullString As Asciiz * 2
Dim Version As Integer
Dim DiagFile As Asciiz * 64
Dim A As String
Dim B As String
Dim C As String
Dim EmailMsg As Asciiz * 512
Dim EmailSubj As Asciiz * 64
Dim EmailTo As Asciiz * 64
Dim EmailAttach As Asciiz * 64

Dim Quote As String

PRINT "MAILER 10/2/98"

' display SEE version
Version = seeStatistics(%SEE_GET_VERSION)
C = Hex$(&HF And Version)
Version = Version / 16
B = Hex$(&HF And Version)
Version = Version / 16
A = Hex$(&HF And Version)
PRINT "SEE Version " + A + "." + B + "." + C

NullString = Chr$(0)
Quote = Chr$(&H22)

' get command line arguments
N = GetArgs()

IF (N <> 3) AND (N <> 4) THEN
  PRINT "Usage: MAILER message_file subject email_addr [attach_file]"
  PRINT "   eg: MAILER "; 
  PRINT Quote;"this is the msg";Quote;" ";
  PRINT Quote;"this is the subj";Quote;" ";
  PRINT Quote;"<mike@marshallsoft.com>";Quote
  PRINT "   eg: MAILER ";
  PRINT Quote;"@test.mai";Quote;
  PRINT " test ";
  PRINT Quote;"<mike@marshallsoft.com>";Quote;" ";
  PRINT "test.zip"  
  Exit Function
END IF  

' gets ASCIIZ version of argument strings
EmailTo = ArgVal(3)
EmailSubj = ArgVal(2)
EmailMsg = ArgVal(1)
IF N = 4 THEN
  EmailAttach = ArgVal(4)
ELSE
  EmailAttach = ""
END IF  

' define diagnostics log file 
DiagFile = "mailer.log"
Code = seeStringParam(%SEE_LOG_FILE, DiagFile) 

' check "To" email address
If Len(EmailTo) = 0 Then
  PRINT "Missing 'Email To' address..."
  Exit Function
Else
  Code = seeVerifyFormat(EmailTo)
  If Code < 0 Then
    ' error in format
    Call ShowError(Code)
    Exit Function
  End If
End If

' connect to the SMTP server 
PRINT "Connecting to ";SMTP_HOST_NAME
Code = seeSmtpConnect(SMTP_HOST_NAME, YOUR_EMAIL_ADDR, NullString)  
IF Code < 0 THEN
  Call ShowError(Code)
  EXIT Function
END IF 

' send the email
Code = seeSendEmail(EmailTo, NullString, NullString,EmailSubj,EmailMsg,EmailAttach)
If Code < 0 Then
  'error in format
  Call ShowError(Code)
  Exit Function
End If

PRINT "Email sent."
Code = seeClose()
END FUNCTION
